%global bundle blueprint-parser
Name:                aries-blueprint-parser
Version:             1.6.1
Release:             1
Summary:             Apache Aries Blueprint Parser
License:             ASL 2.0
URL:                 http://aries.apache.org/
Source0:             https://repo1.maven.org/maven2/org/apache/aries/blueprint/blueprint-parser/1.6.1/blueprint-parser-1.6.1-source-release.zip
BuildRequires:       maven-local
BuildRequires:       mvn(org.apache.aries.blueprint:org.apache.aries.blueprint.api) >= 1.0.1
BuildRequires:       mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:       mvn(org.eclipse.osgi:org.eclipse.osgi) xmvn
BuildArch:           noarch
%description
This bundle contains the blueprint parser in a plain JAR.

%package javadoc
Summary:             Javadoc for %{name}
%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{bundle}-%{version}
%pom_remove_parent
%pom_remove_plugin org.apache.aries.versioning:org.apache.aries.versioning.plugin
%pom_change_dep org.osgi:org.osgi.core org.eclipse.osgi:org.eclipse.osgi:3.10.102.v20160416-2200
%pom_xpath_set pom:properties/pom:blueprint.api.version 1.0.1
%pom_xpath_set "pom:project/pom:packaging" bundle
%pom_add_plugin org.apache.felix:maven-bundle-plugin . '
<extensions>true</extensions>
<configuration>
  <excludeDependencies>true</excludeDependencies>
  <instructions>
    <Bundle-Name>${project.name}</Bundle-Name>
    <Bundle-SymbolicName>${project.artifactId}</Bundle-SymbolicName>
    <Bundle-Vendor>The Apache Software Foundation</Bundle-Vendor>
    <Implementation-Title>Apache Aries</Implementation-Title>
    <Implementation-Version>${project.version}</Implementation-Version>
  </instructions>
</configuration>
<executions>
  <execution>
    <id>bundle-manifest</id>
    <phase>process-classes</phase>
    <goals>
      <goal>manifest</goal>
    </goals>
  </execution>
</executions>'

%build
%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE

%changelog
* Wed Aug 03 2022 tianlijing <tianlijing@kylinos.cn> - 1.6.1-1
- update to 1.6.1

* Thu Aug 13 2020 chengzihan <chengzihan2@huawei.com> - 1.4.0-1
- Package init
